Name:		AcetoneISO
Version:	6.7
Release:	alt2_11
Summary:	CD/DVD Image Manipulator
Group:		Archiving/Other
License:	GPLv2+
URL:		http://www.acetoneteam.org/
#Source0:	http://www.acetoneteam.org/Archivia/%{name}-%{version}.tar.gz
# Upstream source includes poweriso binary, closed source, no redistribution permission.
Source0:	%{name}-%{version}-clean.tar.gz
BuildRequires: 	kde4webdev-devel desktop-file-utils
Requires: p7zip-standalone p7zip xbiso k3b kdebase cdrdao nrg2iso
# Overkill, but I'm being thorough
Requires:	util-linux coreutils kdewebdev
Source44: import.info

%description
AcetoneISO: The CD/DVD image manipulator for Linux, it can do the following:
- Mount and Unmount ISO, MDF, NRG (if iso-9660 standard)
- Convert / Extract / Browse to ISO : *.bin *.mdf *.nrg *.img *.daa *.cdi 
  *.xbx *.b5i *.bwi *.pdi
- Play a DVD Movie ISO with most used media players
- Generate an ISO from a Folder or CD/DVD
- Generate MD5 file of an image
- Encrypt an image
- Split image into X megabyte chunks
- Highly compress an image
- Rip a PSX cd to *.bin to make it work with epsxe/psx emulators
- Service-Menu support for Konqueror
- Restore a lost CUE file of *.bin *.img

%prep
%setup -q

%build
cd src/
chmod -x *.c
mkdir ../binaries
# xbiso is in its own package
# so is nrg2iso.
for i in b5i2iso.c cdi2iso.c mdf2iso.c pdi2iso.c; do
  SHORTNAME=`echo $i | sed 's/.c//'`
  gcc $RPM_OPT_FLAGS $i -o ../binaries/$SHORTNAME
done

%install
mkdir $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p binaries/* $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/%{name}/scripts/
sed -i 's|/opt/acetoneiso/|/usr/|g' %{name}-%{version}/AcetoneISO.kmdr
chmod -x %{name}-%{version}/AcetoneISO.kmdr
install -p %{name}-%{version}/AcetoneISO.kmdr $RPM_BUILD_ROOT%{_datadir}/apps/%{name}/scripts
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -p %{name}-%{version}/*.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
sed -i 's|/opt/acetoneiso/.|%{_sbindir}|g' %{name}-%{version}/acetoneiso-*mount.desktop
chmod -x %{name}-%{version}/acetoneiso-*mount.desktop
install -p %{name}-%{version}/*.sh $RPM_BUILD_ROOT%{_sbindir}

sed -i 's|/opt/acetoneiso/|%{_datadir}/apps/%{name}/scripts/|g' %{name}-%{version}/acetoneiso
install -p %{name}-%{version}/acetoneiso $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/konqueror/servicemenus/
install -p %{name}-%{version}/acetoneiso-*mount.desktop $RPM_BUILD_ROOT%{_datadir}/apps/konqueror/servicemenus/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mv %{name}-%{version}/AcetoneISO %{name}-%{version}/AcetoneISO.desktop
sed -i 's|/opt/acetoneiso/|%{_datadir}/apps/%{name}/scripts/|g' %{name}-%{version}/AcetoneISO.desktop
sed -i "s|'/usr/share/apps/AcetoneISO/scripts/AcetoneISO.kmdr'|/usr/share/apps/AcetoneISO/scripts/AcetoneISO.kmdr|g" %{name}-%{version}/AcetoneISO.desktop
desktop-file-install --vendor ""			\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	--add-category System				\
	%{name}-%{version}/AcetoneISO.desktop

%files
%doc GPL README changelog
%{_bindir}/acetoneiso
%{_bindir}/b5i2iso
%{_bindir}/cdi2iso
%{_bindir}/mdf2iso
%{_bindir}/pdi2iso
%{_sbindir}/playiso-unmount.sh
%{_sbindir}/turbo.sh
%{_datadir}/applications/*.desktop
%{_datadir}/apps/%{name}/
%{_datadir}/apps/konqueror/servicemenus/acetoneiso-*.desktop
%{_datadir}/pixmaps/*.png

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 6.7-alt2_11
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 6.7-alt2_10
- update to new release by fcimport

* Tue May 22 2012 Igor Vlasenko <viy@altlinux.ru> 6.7-alt2_9
- regenerated with 0.46 R::S::C

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 6.7-alt1_9
- converted for Sisyphus

